id: amprion-gridloss-panel

info:
  name: Amprion Grid Loss Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Amprion Grid Loss login panel was detected.
  reference:
    - https://www.amprion.net/index-2.html
  metadata:
    verified: true
    max-request: 1
  tags: panel,amprion,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/config/public"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains(to_lower(body), "amprion") && contains(to_lower(body), "grid loss")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '"envTitle":"([A-Z0-9a-z]+)"'
# digest: 4a0a0047304502206e0b36226906f7d11049b606df5d389e6d2fa3d716b0dda898d01e39b0c4c1a6022100f69204e3a1e49b5793883ae8660b472ffd398a488433c80d0811e22f1c12bd79:922c64590222798bb761d5b6d8e72950